/*
 *  Logger4LAAS.h
 *  Logger4LAAS
 *
 *  Created by Benjamin Vadant on 18/02/13.
 *  Copyright 2013 LAAS/CNRS. All rights reserved.
 *
 */

#ifndef LOGGER4LAAS_H
#define LOGGER4LAAS_H



#include <thread>
#include <stdlib.h>
#include <stdio.h>
#include <string>
#include <sstream>
#include <iostream>
#include <fstream>
#include <vector>

#include "message.h"



class Logger4LAAS {
    public:
        explicit Logger4LAAS(std::string className);
        ~Logger4LAAS();

        void log(LogLevel logLevel, std::string methodName, std::string info);

    private:
        std::vector<Message> messages;
        void publish();
        void threadHandling();
        std::thread publishThread;

        std::string className;

        void parseConfigFile(std::string pathConfigFile);
        bool active;
        LogLevel logLevel;
        int periodicity;
        bool displayInTerminal;
        std::string pathSavingFile;
};

#endif  // LOGGER4LAAS_H
