/*
 *  message.cpp
 *  Logger4LAAS
 *
 *  Created by Benjamin Vadant on 18/02/13.
 *  Copyright 2013 LAAS/CNRS. All rights reserved.
 *
 */

#include "message.h"
#include <sstream>
#include <ostream>
#include <string>

std::string LogLevelName[] = {"Error", "Warning", "Info", "Debug"};

Message::Message(std::string className, std::string methodName, LogLevel logLevel, std::string message)
    :className(className), methodName(methodName), logLevel(logLevel), message(message) {
    messageTime = time(NULL);
}

LogLevel Message::getLogLevel() {
    return logLevel;
}

std::string Message::toString() {
    std::ostringstream output;

    output << asctime(localtime(&messageTime));
    output.seekp(output.tellp()-1L);
    output << "-" << className << ":" << methodName << "-";
    output << "\t!" << LogLevelName[logLevel] << "!\t";
    output << message << std::endl;

    return output.str();
}
