/*
 *  message.h
 *  Logger4LAAS
 *
 *  Created by Benjamin Vadant on 18/02/13.
 *  Copyright 2013 LAAS/CNRS. All rights reserved.
 *
 */

#ifndef MESSAGE_H
#define MESSAGE_H
#include <time.h>
#include <string>

enum LogLevel { ERROR, WARNING, INFO, DEBUG };
extern std::string LogLevelName[];

class Message {
    public:
        Message(std::string className, std::string methodName, LogLevel logLevel, std::string message);

        LogLevel getLogLevel();

        std::string toString();

    private:
        time_t messageTime;
        std::string className;
        std::string methodName;
        LogLevel logLevel;
        std::string message;
};

#endif  // MESSAGE_H
